> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.goodflag.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.goodflag.com/_mcp/server.

# Supprimer un archiveur

DELETE https://workflow-manager/experimental/admin/api/archivers/{archiverId}

Supprime un archiveur existant. Réservé aux administrateurs. API expérimentale (susceptible d'évoluer).

Administrateur de la plateforme (back-office Goodflag). Inaccessible aux utilisateurs du tenant.

Reference: https://docs.goodflag.com/wm/api-reference/documentation-api/token-administrateur/archiver/delete-archiver

## Authentication

- `Authorization` header (basic auth, required) — Identifiants d'administration, requis pour les endpoints `/admin/api` et `/experimental/admin/api`.

## Request

### Path parameters

- `archiverId` (string, required) — L'identifiant de l'archiveur.

## Response

### 200

L'entité Archiver supprimée.

- `id` (string, required) — L'identifiant de l'archiveur.
- `tenantId` (string, required) — L'identifiant du tenant auquel appartient l'archiveur.
- `name` (string, required) — Le nom de la solution d'archivage.
- `description` (string, required) — La description de la solution d'archivage.
- `archivingSolution` (string, required) — La solution d'archivage à utiliser. Certains paramètres dépendent de la solution. Valeurs possibles : cecuritySae : [name, description, archivingSolution, clientId, clientSecret, accountName, baseUrl, endpointAuthenticate, endpointUpload] ; cecurityCfn : [name, description, archivingSolution, clientId, clientSecret, baseUrl, endpointAuthenticate, specificInfo].
- `clientId` (string, required) — L'identifiant client utilisé pour l'authentification auprès de la solution d'archivage.
- `clientSecret` (string, required) — Le secret client utilisé pour l'authentification auprès de la solution d'archivage.
- `baseUrl` (string, required) — L'URL de base utilisée pour communiquer avec la solution d'archivage.
- `endpointAuthenticate` (string, required) — L'endpoint d'authentification auprès de la solution d'archivage.
- `endpointUpload` (string, required) — L'endpoint de versement de contenu vers la solution d'archivage.
- `created` (double, required) — La date de création de l'entité.
- `updated` (double, required) — La date de dernière modification de l'entité.
- `accountName` (string, optional) — Le nom de compte associé à la solution d'archivage.
- `specificInfo` (string, optional) — Informations propres à la solution d'archivage. Valeurs possibles : cecuritySae : null ; cecurityCfn : [cfecID, safeID, realm].

## Errors

### 403 Forbidden Error

ArchiverNotRemovable : L'archiveur ne peut pas être supprimé. ; InvalidAdminCredentials : Les identifiants d'administration sont incorrects.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

### 404 Not Found Error

ArchiverNotFound : L'archiveur spécifié est introuvable.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

## Examples

**Response**

```json
{
  "id": "arc_6npjBQ8miYw6z4zSVANLqf8E",
  "tenantId": "ten_Hm5gqY6oKADYdg9cjhsVbQDH",
  "name": "Chris Mass #423",
  "description": "Aut in enim necessitatibus delectus.",
  "archivingSolution": "cecuritySae",
  "clientId": "EUuUdkGd2kjLUxx28HQPLEa7",
  "clientSecret": "****************",
  "baseUrl": "https://my-company.com/archiver/9o4jAmh9dVvJvuF41NNtkTgz",
  "endpointAuthenticate": "/authenticate",
  "endpointUpload": "/upload",
  "created": 1782821907528,
  "updated": 1782821907528,
  "accountName": "Proactive regional customer loyalty"
}
```

**SDK Code**

```python Requête réussie.
import requests

url = "https://workflow-manager/experimental/admin/api/archivers/archiverId"

response = requests.delete(url, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Requête réussie.
const url = 'https://workflow-manager/experimental/admin/api/archivers/archiverId';
const credentials = btoa("<username>:<password>");

const options = {method: 'DELETE', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Requête réussie.
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://workflow-manager/experimental/admin/api/archivers/archiverId"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Requête réussie.
require 'uri'
require 'net/http'

url = URI("https://workflow-manager/experimental/admin/api/archivers/archiverId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java Requête réussie.
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://workflow-manager/experimental/admin/api/archivers/archiverId")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php Requête réussie.
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://workflow-manager/experimental/admin/api/archivers/archiverId', [
  'headers' => [
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Requête réussie.
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://workflow-manager/experimental/admin/api/archivers/archiverId");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.DELETE);

IRestResponse response = client.Execute(request);
```

```swift Requête réussie.
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = ["Authorization": "Basic \(credentials)"]

let request = NSMutableURLRequest(url: NSURL(string: "https://workflow-manager/experimental/admin/api/archivers/archiverId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```